> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1credentialsapp registrationstore



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Credentials//swagger/v1/swagger.json post /api/v1/credentials/app-registration/store
openapi: 3.0.0
info:
  title: NDS.Services.Credentials
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Credentials/
security: []
paths:
  /api/v1/credentials/app-registration/store:
    post:
      tags:
        - AppRegistration
      operationId: AppRegistration_StoreAppRegistration
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreAppRegistrationRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StoreAppRegistrationResult'
components:
  schemas:
    StoreAppRegistrationRequest:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            AppRegistration:
              $ref: '#/components/schemas/AppRegistration'
    StoreAppRegistrationResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            AppRegistration:
              $ref: '#/components/schemas/AppRegistration'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    AppRegistration:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
        Name:
          type: string
        Type:
          type: string
        ClientId:
          type: string
        ClientSecret:
          type: string
        Provider:
          type: string
          nullable: true
        SmtpConfig:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/SmtpConfiguration'
        UserId:
          type: string
          nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    SmtpConfiguration:
      type: object
      additionalProperties: false
      properties:
        TenantId:
          type: string
          nullable: true
        RedirectUri:
          type: string
          nullable: true
        TokenEndpoint:
          type: string
          nullable: true
        AuthorizationEndpoint:
          type: string
          nullable: true
        UserInfoEndpoint:
          type: string
          nullable: true
        Audience:
          type: string
          nullable: true
        GrantType:
          type: string
          nullable: true
        Scope:
          type: string
          nullable: true
        UserInfoStrategy:
          type: string
          nullable: true
        UserIdClaim:
          type: string
          nullable: true
        UsernameClaim:
          type: string
          nullable: true
        EmailClaim:
          type: string
          nullable: true

````